Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class RosszTeremIdopontId

    java.lang.Object
      orarend.RosszTeremIdopontId

All Implemented Interfaces:
  java.io.Serializable

    public class RosszTeremIdopontId

extends java.lang.Object
implements java.io.Serializable

A RosszTeremIdopontok tábla összetett kulcsát reprezentáló osztály

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected Idopont` | `idopont`
`protected Terem` | `terem`

Constructor Summary
`RosszTeremIdopontId()` Üres konstruktor
`RosszTeremIdopontId(Terem t, Idopont i)` RosszTeremIdopontId létrehozása

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Idopont` | `getIdopont()`
`Terem` | `getTerem()`
`void` | `setIdopont(Idopont i)`
`void` | `setTerem(Terem t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### terem

    protected Terem terem

### idopont

    protected Idopont idopont

Constructor Detail

### RosszTeremIdopontId

    public RosszTeremIdopontId()

  Üres konstruktor

### RosszTeremIdopontId

    public RosszTeremIdopontId(Terem t,
                               Idopont i)

  RosszTeremIdopontId létrehozása

  Parameters:
    `t` - terem
    `i` - időpont

Method Detail

### getTerem

    public Terem getTerem()

### setTerem

    public void setTerem(Terem t)

### getIdopont

    public Idopont getIdopont()

### setIdopont

    public void setIdopont(Idopont i)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD